Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdataasync.session.impl.regional
Class MemberDataIrisCareNetService

    java.lang.Object
      be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
          be.ehealth.businessconnector.mycarenet.memberdataasync.session.impl.regional.MemberDataIrisCareNetService

All Implemented Interfaces:
  CommonAsyncService, MemberDataService

    public class MemberDataIrisCareNetService

extends DefaultCommonAsyncService
implements MemberDataService

Constructor Summary
`MemberDataIrisCareNetService()`

Method Summary
`ProcessedGetResponse<byte[]>` | `getMDAXml(GetRequest request)`
`ProcessedPostResponse` | `postEncryptedMDAXml(byte[] records, InputReference inputReference)`
`ProcessedPostResponse` | `postMDAXml(byte[] records, InputReference inputReference)`

Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
`confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService
`confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

Constructor Detail

### MemberDataIrisCareNetService

    public MemberDataIrisCareNetService()

Method Detail

### getMDAXml

    public ProcessedGetResponse<byte[]> getMDAXml(GetRequest request)
                                           throws ConnectorException

  Specified by:
    `getMDAXml` in interface `MemberDataService`
  Throws:
    `ConnectorException`

### postMDAXml

    public ProcessedPostResponse postMDAXml(byte[] records,
                                            InputReference inputReference)
                                     throws ConnectorException

  Specified by:
    `postMDAXml` in interface `MemberDataService`
  Throws:
    `ConnectorException`

### postEncryptedMDAXml

    public ProcessedPostResponse postEncryptedMDAXml(byte[] records,
                                                     InputReference inputReference)
                                              throws ConnectorException

  Specified by:
    `postEncryptedMDAXml` in interface `MemberDataService`
  Throws:
    `ConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.